Contact
curl --request POST \
--url https://api.birdeye.com/resources/v2/customer/list \
--header 'Content-Type: application/json' \
--data '
{
"startDate": "07/01/2019",
"endDate": "07/19/2019"
}
'import requests
url = "https://api.birdeye.com/resources/v2/customer/list"
payload = {
"startDate": "07/01/2019",
"endDate": "07/19/2019"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({startDate: '07/01/2019', endDate: '07/19/2019'})
};
fetch('https://api.birdeye.com/resources/v2/customer/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 0,
"size": 25,
"totalPages": 68,
"totalCount": 1679,
"customers": [
{
"customerId": 12345,
"name": "Dummy1",
"email": "sam@gmail.com",
"phone": "xxx-xxx-xxxx",
"lastActivityWithTime": "12 Aug 2019 02:05 PM PDT"
},
{
"customerId": 54321,
"name": "Summy2",
"email": "samuel@gmail.com",
"phone": "xxx-xxx-xxxx",
"lastActivityWithTime": "12 Aug 2019 02:05 PM PDT"
}
]
}{
"code": 1167,
"message": "API key is missing"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Contact
Contacts List
POST
/
v2
/
customer
/
list
Contact
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Query Parameters
Id of the Business.
The page number.
Maximum number of contacts return in response.
The sorting order of the list.
Body
application/json

